%define name	gaim
%define version	0.59.8
%define release 2mdk

%define perl_version %(rpm -q --qf '%%{VERSION}' perl)
# yves 0.58-1mdk -- pb with gnome2
%define applet	0

Summary: 	A GTK+ based multiprotocol instant messaging client
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Networking/Instant messaging
Requires: 	perl-base = %{perl_version}
License: 	GPL
Epoch: 		1
Url: 		http://gaim.sourceforge.net
Source: 	http://download.sourceforge.net/gaim/%{name}-%{version}.tar.bz2
Source1: 	%{name}_icons.tar.bz2
Patch0: 	gaim-0.50-smiley.patch.bz2
Patch1: 	gaim-0.59.8-autoadd.patch.bz2
Patch2: 	gaim-0.59-fix-perl-extension-build.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	esound-devel
Buildrequires:	gtk+-devel
Buildrequires:	perl-devel

%description
Gaim allows you to talk to anyone using a variety of messaging  
protocols, including AIM (Oscar and TOC), ICQ, IRC, Yahoo!,
MSN Messenger, Jabber, Gadu-Gadu, Napster, and Zephyr.  These
protocols are implemented using a modular, easy to use design.  
To use a protocol, just load the plugin for it.

Gaim supports many common features of other clients, as well as many
unique features, such as perl scripting and C plugins.

Gaim is NOT affiliated with or endorsed by AOL.

%package applet
Summary:        A GNOME based multiprotocol instant messaging client
Group:          Networking/Instant Messaging
Requires:       gtk+ >= 1.2.5 libpanel-applet0 >= 1.4.0.6
#Buildrequires:	libpanel_applet0-devel 

%description applet
Gaim allows you to talk to anyone using a variety of messaging
protocols, including AIM (Oscar and TOC), ICQ, IRC, Yahoo!,                                                    MSN Messenger, Jabber, Gadu-Gadu, Napster, and Zephyr.  These
protocols are implemented using a modular, easy to use design.
To use a protocol, just load the plugin for it.

Gaim supports many common features of other clients, as well as many
unique features, such as perl scripting and C plugins.
                                                                                              
The applet sits in your Gnome panel. It has all the same functionality                        
as the regular application but takes less desktop space.

Gaim is NOT affiliated with or endorsed by AOL.

%prep

%setup -q -n %name-%version
%patch0 -p1 -b .smiley
%patch1 -p1 -b .autoadd
%patch2 -p1

bzcat %{SOURCE1} | tar xvf -
# yves 0.58-1mdk -- local sux
#CFLAGS="$CFLAGS -I/usr/local/include -I/opt/include -I\$(top_srcdir)"
perl -pi -e 's#(CFLAGS=\".*)-I/usr/local/include.*#$1\"#' configure.in
autoconf

%build
%configure2_5x --disable-gnome --disable-artsc
%make
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi;
mkdir -p $RPM_BUILD_ROOT%{prefix}
%if %applet
%makeinstall bitsdata=$RPM_BUILD_ROOT/%{_datadir} bitssysconf=$RPM_BUILD_ROOT/%{_sysconfdir}
%make -C src mostlyclean-compile
%configure2_5x --enable-distrib --disable-artsc
%make -C src gaim_applet
%endif

%install
%makeinstall bitsdata=$RPM_BUILD_ROOT/%{_datadir} bitssysconf=$RPM_BUILD_ROOT/%{_sysconfdir}

#icons
mkdir -p %buildroot/{%_miconsdir,%_liconsdir}
#cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.png %buildroot/%{_miconsdir}/%{name}.png
install -m 644 %{name}_32.png %buildroot/%{_iconsdir}/%{name}.png
install -m 644 %{name}_48.png %buildroot/%{_liconsdir}/%{name}.png

install -m755 licq2gaim.pl %buildroot/%{_bindir}/licq2gaim

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name  <<EOF
?package(%name): command="soundwrapper %_bindir/%name" needs="X11" \
icon="%name.png" section="Networking/Instant messaging" \
title="Gaim" longtitle="Instant Messenger suporting AIM (Oscar and TOC), ICQ, IRC, Yahoo!, MSN Messenger, Jabber, Gadu-Gadu, Napster, and Zephyr protocols."
EOF

%{find_lang} %{name}

%post
%{update_menus} 

%postun
%{clean_menus}  

%files -f %{name}.lang
%defattr(-,root,root)
%doc doc/*.txt doc/[A-Z][A-Z]*
%doc NEWS ABOUT-NLS AUTHORS README* TODO ChangeLog
%doc HACKING INSTALL
%attr(755,root,root) %{_bindir}/gaim
%attr(755,root,root) %_bindir/licq2gaim
%{_libdir}/menu/*
%dir %{_libdir}/gaim/
%{_libdir}/gaim/*.so*
%{_libdir}/gaim/*.la
%{_mandir}/*/*
%{_datadir}/gnome/apps/*/*
%{_datadir}/pixmaps/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%if %applet
%files applet
%defattr(-,root,root)
%attr(755,root,root) %_bindir/gaim_applet
%{_sysconfdir}/CORBA/servers/*
%_datadir/applets/Network/*
%endif

%clean
rm -rf %buildroot

%changelog
* Mon Jan 20 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.59.8-2mdk
- fix autoadd plugin (segfault when you send message :( )

* Tue Jan 14 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.59.8-1mdk
- Bump to version 0.59.8 (fix yahoo connection).

* Sun Dec 29 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.6-1mdk
- update to 0.59.7

* Tue Nov 12 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.6-1mdk
- update to 0.59.6

* Tue Oct 17 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.5-1mdk
- update to 0.59.5

* Mon Oct 07 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.4-1mdk
- update to 0.59.4

* Thu Sep 26 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.3-1mdk
- update to 0.59.3

* Tue Sep 10 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.59.2-1mdk
- update to 0.59.2

* Sat Sep  7 2002 Pixel <pixel@mandrakesoft.com> 0.59.1-2mdk
- rebuild (to have a release greater than 8.2 update)

* Tue Aug 27 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.59.1-1mdk
- 0.59.1 (aka security fix)
- remove P3 (fixed upstream)

* Sun Aug 11 2002 Pixel <pixel@mandrakesoft.com> 0.59-7mdk
- patch to fix segfault with perl thread-multi (by Timothy Lee, thanks to David Walser)

* Fri Aug  9 2002 Pixel <pixel@mandrakesoft.com> 0.59-6mdk
- disable perl extensions (if someone knows better, please help)

* Tue Aug  6 2002 Pixel <pixel@mandrakesoft.com> 0.59-5mdk
- fix build and rebuild for perl thread-multi

* Mon Jul 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.59-4mdk
- Rebuild without Arts.
- Enable soundwrapper.

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.59-3mdk
- rebuild for perl 5.8.0

* Sun Jun 30 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.59-2mdk
- Arts is back.

* Fri Jun 28 2002 Yves Duret <yduret@mandrakesoft.com> 0.59-1mdk
- new upstream release 0.59.

* Thu May 23 2002 Yves Duret <yduret@mandrakesoft.com> 0.58-1mdk
- version 0.58
- fix specfile (two changelog ???).
- patch configure.ac to no more -I/usr/local/include
- temporaly disable applet cause build broken (not ported yet to GNOME2) with a condif build %%applet.
- rewrite menu longdescription.
- macros were ceated to be used.
- png icons.
- one buildrequires per line.

* Wed Mar 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.54-3mdk
- Group fix for applet.

* Wed Mar 27 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.54-2mdk
- Merge in changes from Bryan (see below).
- Note that the smiley patch was never removed.
- Fixups to the gnome applet filelist.
- New and shiny 0.54.

* Fri Feb  1 2002 Adrien Demarez <ademarez@mandrakesoft.com> 0.51-1mdk
- Updated gaim

* Mon Jan  7 2002 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.50-3mdk
- Add autoadd module.

* Tue Dec 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50-2mdk
- Oops. Really apply the smiley patch.

* Tue Dec 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.50-1mdk
- Upped to 0.50.
- Add chmou patch with modifications for smileys.

* Tue Dec  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.49-2mdk
- Add licq2gaim script also.

* Fri Nov 30 2001 Sylvestre Taburet <staburet@mandrakesoft.com> 0.49-1mdk
- upped to 0.49

* Wed Nov 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.48-2mdk
- Make Chmou happy by replacing an ugly define with a cleaner one (thx chmou).

* Sat Nov 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.48-1mdk
- 0.48 hot from the oven.

* Sun Nov 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.47-1mdk
- The new and shiny 0.47.

* Sat Oct 20 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.46-1mdk
- Presenting the all-new 0.46.
- Use Epoch to please Lord Rpmlint.

* Mon Oct 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.44-2mdk
- BuildRequires: perl-devel
- Remove redundant BuildRequires

* Fri Sep 28 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.44-1mdk
- Presenting the newest gaim 0.44.
- Fix file list: There is no such file called PROTOCOL.

* Tue Sep 11 2001 Vincent Saugey <vince@mandrakesoft.com> 0.43-1mdk
- New version

* Sat Aug  4 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.11.0-0.pre14.1mdk
- pre14.

* Sat Aug  4 2001 Pixel <pixel@mandrakesoft.com> 0.11.0-0.pre11.2mdk
- add require the perl-base used for building (the libperl.so
  auto-require is not enough)

* Fri May 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.11.0-0.pre11.1mdk
- New and shiny source.
- Fix the release number. This would mean that we would have to add a 
  Serial: for the time being :(, but at least this is more sane than before.
- Gaim homepage has now moved over to SourceForge.

* Thu Apr 12 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre7-2mdk
- Adding BuildRequires gettext, gtkdevel (Thanks to Don Head)

* Fri Mar 23 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre7-1mdk
- Up to new version

* Fri Mar 23 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre4-4mdk
- Change group for make fred (crozat) happy.

* Tue Feb 27 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.11.0pre4-3mdk
- Fix build on glibc.
- Do not build useless static libs.
- Use macros for make and configure.
- Run autoconf/make tools in prep stage
- Remove COPYING from docs, require common-licenses

* Tue Feb 13 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre4-2mdk
- Corrected menu section

* Mon Feb 12 2001 Vincent Saugey <vince@mandrakesoft.com> 0.11.0pre4-1mdk
- Up to new version

* Tue Oct 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.3-1mdk
- up to 0.10.3

* Tue Sep 26 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.20-5mdk
- menu title should begin with capital letter.
- ICQ section was replaced by Instant messaging.
 
* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-4mdk
- Adding small and large icons

* Tue Aug 29 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-3mdk
- Change icon for menu

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.20-2mdk
- automatically added BuildRequires

* Mon Jul 17 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.20-1mdk
- up to 0.9.20

* Fri Jun 23 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.19-1mdk
- 0.9.19

* Thu Jun  8 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.18-1mdk
- 0.9.18
- minor fixes in specfile

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.11-3mdk
- add 32*32 icon

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.11-2mdk
- Don't +x the menu entries.

* Fri Mar 31 2000 John Buswell <johnb@mandrakesoft.com> 0.9.11-1mdk
- v0.9.11
- Added menu
- fixed group
- spec-helper

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
Build Release

* Tue Nov 02 1999 Lenny Cartier <lenny@mandrakesoft.com>
v0.9.9

* Wed Oct 13 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptations.
